GuidesRecipesAPI ReferenceChangelog
API Reference

Create Trade

Creates a trade.

State

StateDescription
storingThe Platform is storing the trade details in our private store
pendingThe Platform has stored the trade details and is processing it
executedThe Platform has processed the trade and needs to settle it
settlingThe Platform has executed the trade and is settling the funds
cancelledThe Platform has cancelled the trade
completedThe Platform has successfully completed the trade
failedThe Platform was not able to successfully complete the trade

Failure codes

CodeDescription
non_sufficient_fundsThe delivery account does not have enough funds to complete the trade
unsupportedThe trading pair is not supported for this customer
limit_exceededThe customer is over the limits that have been set for them for this activity
daily_limit_exceededThe customer is over their daily limits for this activity
weekly_limit_exceededThe customer is over their weekly limits for this activity
monthly_limit_exceededThe customer is over their monthly limits for this activity
expired_quoteThe quote expired before it could be executed
market_volatilityThe quote could not be executed due to market volatility
not_filledThe trade could not be filled based on the amounts specified

Required scope: trades:execute

Body Params
string | null
enum
Defaults to platform

The type of trade.

Allowed:
string
required
length between 32 and 32

The associated quote's identifier.

string | null

The identifier for the fiat account to use for the trade. Required if the customer or bank has multiple fiat accounts.

string | null
enum

The optional expected error to simulate trade failure.

Allowed:
labels
array of strings | null

The labels associated with the trade.

labels
Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json